PSA: Major Breakages for Minecraft 1.12 (bleeding)


Greetings Sponge,

I want to give a heads up that starting today, July 18th 2017, I am authorizing the pull of several large PRs that will most certainly break many plugins that have worked, so far, for Minecraft 1.12.

Noteworthy PRs being merged:
Permissions API changes:
Cause Refactor:

As we have always stated, bleeding is never meant to be used in production environments so breakages are to be expected. For our plugin developers, documentation will be available (for the Cause Refactor specifically) as soon as it is merged.

For all plugins built against our release artifacts for API 5 or API 6, rest assured that your plugins will continue to work as they do now.